package net.minecraft.core.dispenser;

import net.minecraft.core.BlockSource;

public abstract class OptionalDispenseItemBehavior extends DefaultDispenseItemBehavior {
    protected boolean success;
    
    public OptionalDispenseItemBehavior() {
        this.success = true;
    }
    
    @Override
    protected void playSound(final BlockSource fl) {
        fl.getLevel().levelEvent(this.success ? 1000 : 1001, fl.getPos(), 0);
    }
}
